{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function dialog_box, msg, post_event, set_property\r\n$insert msg_equates\r\n$insert lsl_users_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\nDateField = .date->text\r\nif DateField = '' then; *make sure date has been entered\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = \"Date is required\"\r\n\tMsgInfo<micon$> = \"H\"\r\n\tVoid = msg( '', MsgInfo )\r\n\tVoid = post_event( @window:'.DATE', 'GOTFOCUS' )\r\n\tVoid = set_property( @window:'.DATE', 'FOCUS', 1 )\r\n\treturn 0\r\nend\r\n\r\nType = .SRPlogwafertype->text\r\nif Type = '' then; *make sure wafer type has been entered\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = \"SRP Wafer Type is required\"\r\n\tMsgInfo<micon$> = \"H\"\r\n\tVoid = msg( '', MsgInfo )\r\n\tVoid = post_event( @window:'.SRPLOGWAFERTYPE', 'GOTFOCUS' )\r\n\tVoid = set_property( @window:'.SRPLOGWAFERTYPE', 'FOCUS', 1 )\r\n\treturn 0\r\nend\r\n\r\nSRPreason = .SRPlogreason->text\r\nif SRPreason <> 'Eng. Qual.' then; *WO#, RDS# & Customer are required fields\r\n\tWO       = .wo_num->text\r\n\tRDS      = .rds_num->text\r\n\tcustomer = .cust_id->text\r\n\tif WO = '' then\r\n\t\tMsgInfo = ''\r\n\t\tMsgInfo<mtext$> = \"Work Order number is required\"\r\n\t\tMsgInfo<micon$> = \"H\"\r\n\t\tVoid = msg( '', MsgInfo )\r\n\t\tVoid = post_event( @window:'.WO_NUM', 'GOTFOCUS' )\r\n\t\tVoid = set_property( @window:'.WO_NUM', 'FOCUS', 1 )\r\n\t\treturn 0\r\n\tend\r\n\tif RDS = '' then\r\n\t\tMsgInfo = ''\r\n\t\tMsgInfo<mtext$> = \"RDS number is required\"\r\n\t\tMsgInfo<micon$> = \"H\"\r\n\t\tVoid = msg( '', MsgInfo )\r\n\t\tVoid = post_event( @window:'.RDS_NUM', 'GOTFOCUS' )\r\n\t\tVoid = set_property( @window:'.RDS_NUM', 'FOCUS', 1 )\r\n\t\treturn 0\r\n\tend\r\n\tif customer = '' then\r\n\t\tMsgInfo = ''\r\n\t\tMsgInfo<mtext$> = \"Customer is required\"\r\n\t\tMsgInfo<micon$> = \"H\"\r\n\t\tVoid = msg( '', MsgInfo )\r\n\t\tVoid = post_event( @window:'.CUST_ID', 'GOTFOCUS' )\r\n\t\tVoid = set_property( @window:'.CUST_ID', 'FOCUS', 1 )\r\n\t\treturn 0\r\n\tend\t\r\nend\r\n\r\nEngSig     = .eng_sig->text\r\nif EngSig <> '' then\r\n\tMsgInfo = ''\r\n    MsgInfo<mtext$> = 'This log has already been signed.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend else  \r\n    Valid = Dialog_Box('NDW_VERIFY_USER', @Window, @User4)\r\n     Valid = Valid<1>\r\n     if Valid then\r\n\t\t.eng_sig->text = @user4\r\n\t\t.eng_sig_name->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n\t\t@@window->savewarn = 1\r\n\tend\r\nend\r\nreturn 0\r\n"
        }
    }
}